Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Is it possible to install two different version of PCSX2 ?
#1
Question 
Hi

i would like to know if is it possible having 2 different version of PCSX2 installed on any PC ?

since i would like to test some games on older PCSX2 0.9.8. without uninstalling the new one such as 1.0.0 version.
Intel i5 3470 3.20Ghz, HD 7850 2GB, 8GB RAM, Z77, 1TB HDD
Reply

Sponsored links

#2
you can Smile
------------------------
status:
------------------------
trolling mode: ACTIVE!
Reply
#3
Wow that was fast! i just posted the thread and got a instant reply lol. I'm afraid of installing older version of PCSX2 since it might messed up something such as Memory Cards, save states or even settings. Not sure if it's compatible
Intel i5 3470 3.20Ghz, HD 7850 2GB, 8GB RAM, Z77, 1TB HDD
Reply
#4
I use the portable version and have 5 different versions on pcsx2 in the pcsx2 folder.
Reply
#5
(10-26-2012, 12:16 AM)Takuto Wrote: 1) Wow that was fast! i just posted the thread and got a instant reply lol.


2) I'm afraid of installing older version of PCSX2 since it might messed up something such as Memory Cards, save states or even settings. Not sure if it's compatible

1) that is why im the general help around here ;P

2) as long as you put the folders in a different directory you should be fine and if you want to use the same memorycards of the revision you have a good save on, you can just copy the memorycards to that specific pcsx2 folder and continue where you left off.

savestates however are only compatible with their revision they are made in (not 100% sure, some one correct me if i am wrong on this)
------------------------
status:
------------------------
trolling mode: ACTIVE!
Reply
#6
(10-26-2012, 12:29 AM)WarWeeny Wrote: savestates however are only compatible with their revision they are made in (not 100% sure, some one correct me if i am wrong on this)

They are compatible until the save state version is changed(the version is changed once there is an update to some pcsx2 part which requires different data from the states)

If it's not change even once between 0.9.8 till 1.0.0,then states create with 0.9.8 will also work on 1.0.0(but that's impossible...you could say that the version is changes at least once every 100 revs)
Reply
#7
(10-26-2012, 12:43 AM)vsub Wrote: They are compatible until the save state version is changed(the version is changed once there is an update to some pcsx2 part which requires different data from the states)

If it's not change even once between 0.9.8 till 1.0.0,then states create with 0.9.8 will also work on 1.0.0(but that's impossible...you could say that the version is changes at least once every 100 revs)

WarWeeny has a good rule of thumb, though given how often things are fixed etc.
Reply
#8
I see i take that as Memory Cards and settings are compatible with older version then ? i tried before copying savestates to different PCSX2 but it just doesn't works on different PCSX2.

anyway, thank you for replying everyone Smile i appreciate it
Intel i5 3470 3.20Ghz, HD 7850 2GB, 8GB RAM, Z77, 1TB HDD
Reply
#9
be sure you have a "portable.ini" file inside the older directory. that will default the directories to the local folder, and not documents
Reply
#10
it is possible to put the exe file for one version and the exe file for the other version in the same folder. you can run the one you want. both versions will share the same plug in directory and both can use the same memory card, but each one has its own savestates
Reply




Users browsing this thread: 1 Guest(s)